Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 03/13/2024 in all areas

  1. (getstring T "Enter Clients Name: ")
    2 points
  2. Something like this? (defun c:pp( / ) (setq txtHeight 11 a8 (cons 8 (getvar "clayer"))) (setq p (trans (getpoint "select point") 1 0)) (entmake (list '(0 . "POINT") (cons 10 p) a8)) (entmake (list '(0 . "TEXT") (cons 1 (rtos (last p))) (cons 10 p) a8 (cons 40 txtHeight))) )
    2 points
  3. AutoDesk has this lookup for functions that usually gives more context for commands.
    1 point
  4. Awesome. Thank you!
    1 point
  5. Ok, I'll try what I can. I will ask you again when I get confuse. Please wait for my next reply. Thanks.
    1 point
  6. @doddkevin Glad to read that it works for you! To change the number of decimals, read HERE.-thanks to BIGAL for the detailed explanations For the text style: see the last entmake in the code I posted for you. There is a list of "things" called "dotted pairs". The '(0 . "TEXT") is a dotted pair. (cons 40 txtHeight) will also result in a dotted pair. Well, to change the text style to "Standard", add to the list something like '(7 . "Standard") (see the apostrophe at the beginning!). Go ahead, play around and get familiar with Lisp expressions. Post again if still in trouble, we are here and for sure someone will help you! Happy Lisping!
    1 point
  7. Change the following line if you don't use call outs in rtos it pulls from your current units set. (entmake (list '(0 . "TEXT") (cons 1 (rtos (last p) 2 2)) (cons 10 p) a8 (cons 40 txtHeight)))
    1 point
  8. @Tsuky I think mhupp was referring to the OP's screen name of "Mr Bojangles"
    1 point
  9. @Steven P, so NOTEPAD demand more from the user, I use VLIDE since my first LSP, and debug is easiest, and I can run line by line to test it.
    1 point
  10. Ask about a task and someone will give you the steps not code so you can learn, Google is your friend always add "Autocad lisp" to your search. Like others read a few of the tutorials search your hard drive for Garden path tutorial. Look here for link. Would you recommend this tutorial? - Autodesk Community - AutoCAD
    1 point
  11. In your posted picture, I cannot see any circles that are of the size you have quoted. @Irm's diagram does not show accurately your problem.
    1 point
  12. This seemed like a fun challenge, so I thought I might participate... Here is my version: The attached program will prompt for a rectangular closed LWPolyline and a 'wire spacing' (the distance between the coils), and will generate a maximal filleted spiral centered within the selected LWPolyline. The program should perform successfully with all rectangular closed LWPolylines, at any rotation or orientation, and in all UCS & Views. For an arbitrary rectangle of any dimension, one cannot specify both the spacing between the coils and the offset from the rectangle boundary, since multiples of these values will not necessary equate to the rectangular dimensions. Hence, my program will prompt for the spacing between the coils and will center the spiral within the selected rectangular LWPolyline, maximising the number of spiral coils for the given spacing, with the division remainder equal to the offset from the boundary. If the spacing is a multiple of the dimensions of the boundary, the program will offset the spiral from the boundary by the given spacing to ensure that the coils do not touch the boundary edge. The code isn't pretty, but should hopefully perform correctly. Interesting challenge! HeatGridV1-0.lsp
    1 point
×
×
  • Create New...